Request
curl -X PUT https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/$CASE_TYPE_CODE \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"displayName": "Collections",
"defaultPriority": "HIGH",
"serviceLevelMinutes": 1440 ,
"enabled": true ,
"reason": "Raise the default priority for delinquency work."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/${caseTypeCode}` , {
method: "PUT" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"displayName": "Collections",
"defaultPriority": "HIGH",
"serviceLevelMinutes": 1440 ,
"enabled": true ,
"reason": "Raise the default priority for delinquency work."
}),
});requests.put(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/{case_type_code}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"displayName": "Collections",
"defaultPriority": "HIGH",
"serviceLevelMinutes": 1440 ,
"enabled": true ,
"reason": "Raise the default priority for delinquency work."
},
)200 400 401 403 404 409
{
"resourceId": 0 ,
"changes": {
"operation": "UPDATE_CASE_TYPE",
"caseTypeCode": "COLLECTIONS",
"defaultPriority": "HIGH",
"enabled": true
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}